<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Создать список дел, в который можно:
        - Добавить новый элемент
        - Удалить элемент
        - Задать что пункт выполнен

      Шаблон элемента:
        <li class="listItem">
            <input type="checkbox" class="DoneCheckbox" />
            <span class="TodoText">{add text}</span>
            <button>Remove</button>
        </li>

    */
    window.addEventListener("load", function (e) {
        var AddToDo = document.getElementById('AddToDo');
        var newToDo = document.getElementById('newToDo');
        var toDoList = document.getElementById('toDoList');

        AddToDo.addEventListener('click', function () {
          if (newToDo.value.length > 0) {
            var toDoList = document.getElementById('toDoList');
            var li = document.createElement('li');
            li.className = 'listItem';

            var checkbox = document.createElement('input');
            checkbox.type = 'checkbox';
            checkbox.className = 'DoneCheckbox';
            li.append(checkbox);

            var span = document.createElement('span');
            span.className = 'TodoText';
            span.innerText = newToDo.value;
            li.append(span);

            var btn = document.createElement('button');
            btn.innerText = 'Remove';
            btn.addEventListener('click', function (e) {
              var liElem = e.target.parentElement;
              liElem.parentElement.removeChild(liElem);
            });
            li.append(btn);

            toDoList.append(li);
            newToDo.value = '';
          }
          else {
            alert('Заполните поле')
          }
        });
      });
  </script>
</head>
<body>
    <header>
      <input id="newToDo" class="textInput"/>
      <input id="AddToDo" class="addButton" type="button" value="Add"/>
    </header>
    <ul id="toDoList"></ul>

  <style>
    .done{
      text-decoration: line-through;
    }
    .textInput{
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .addButton{
      box-sizing: border-box;
      padding: 10px 20px;
      background: #ffcc00;
    }

    .DoneCheckbox,
    .TodoText{
      margin-right: 5px;
    }

    button{
      background: red;
      color: #fff;
      padding: 5px 10px;
    }
  </style>
</body>
</html>
